#!/bin/bash

VERSION=$1

if [ ${VERSION} == 1 ] ; then
	# Quell Installation
	QUELL_DOMAIN="blog\.murawski\.ch"
	QUELL_DIR="/var/www/web0/html/murawski.ch/blog"
	QUELL_DBNAME="murawski_blog"
	QUELL_DBUSER="e3D-Fg59-vC"
	QUELL_DBPASS="CdV-KM\.o40C"
	QUELL_FTPUSER="web0f1"
	QUELL_FTPPASS="oqUsMbSp"

	# Ziel Installation
	ZIEL_DOMAIN="testblog\.murawski\.ch"
	ZIEL_DIR="/var/www/web0/html/murawski.ch/testblog"
	ZIEL_DBNAME="murawski_blog-test"
	ZIEL_DBUSER="murawski-blogtest"
	ZIEL_DBPASS="E3dL\.lI9-32qW"
	ZIEL_FTPUSER="web0f8"
	ZIEL_FTPPASS="eqMgxe9D"
	exit 1
fi

if [ ${VERSION} == 2 ] ; then
	# Quell Installation
	QUELL_DOMAIN="skala4u\.ch"
	QUELL_DIR="/var/www/web1/html/skala4u.ch/www"
	QUELL_DBNAME="usr_web1_2"
	QUELL_DBUSER="web1"
	QUELL_DBPASS="edlI-3Sd2-S"
	QUELL_FTPUSER="web1f1"
	QUELL_FTPPASS="wad2sr3D"

	# Ziel Installation
	ZIEL_DOMAIN="skala4u\.wuk\.ch"
	ZIEL_DIR="/var/www/web1/html/kunden/test-skala4u"
	ZIEL_DBNAME="usr_web1_4"
	ZIEL_DBUSER="web1"
	ZIEL_DBPASS="edlI-3Sd2-S"
	ZIEL_FTPUSER="web1f2"
	ZIEL_FTPPASS="TkHcb9EI"
fi

if [ ${VERSION} == 3 ] ; then
	# Quell Installation
	QUELL_DOMAIN="www\.sonntagsverkaeufe\.ch"
	QUELL_DIR="/var/www/web1/html/sonntagsverkaufe.ch/www"
	QUELL_DBNAME="usr_web1_www-sonntag"
	QUELL_DBUSER="web1_www-sonntag"
	QUELL_DBPASS="fa4268115d45"
	QUELL_FTPUSER="web1f11"
	QUELL_FTPPASS="l9xLgdEg"

	# Ziel Installation
	ZIEL_DOMAIN="test\.sonntagsverkaeufe\.ch"
	ZIEL_DIR="/var/www/web1/html/sonntagsverkaufe.ch/test"
	ZIEL_DBNAME="usr_web1_12"
	ZIEL_DBUSER="web1"
	ZIEL_DBPASS="edlI-3Sd2-S"
	ZIEL_FTPUSER="web1f12"
	ZIEL_FTPPASS="vZHKFNKM"
	exit 1
fi


if [ -z "${QUELL_DIR}" ]; then
    echo "Config NICHT gefunden, Installation wird abgrbrochen"
    exit 1
else
    echo "Config gefunden, Installation wird gestartet"
fi



if [ -z "${QUELL_DIR}" ]; then
    echo "Zieldir NOT found, STOP"
    exit 1
else
    echo "Zieldir "${ZIEL_DIR}" found, forward"
fi

######################################################
# Ab hier nichts mehr ändern!

######################################################
# Files kopieren
rm -R ${ZIEL_DIR}
mkdir ${ZIEL_DIR}
chown www-data:www-data ${ZIEL_DIR}
chmod 777 ${ZIEL_DIR}
cp -R -pall ${QUELL_DIR}/* ${ZIEL_DIR}/
mkdir /tmp/wp-copy
mv ${ZIEL_DIR}/wp-config.php /tmp/wp-copy/
######################################################

######################################################
# Testblog schützen
echo "admin:1\$jZpN/buYGDo" > ${ZIEL_DIR}/.htpasswd
echo "AuthType Basic" > ${ZIEL_DIR}/.htaccess
echo "AuthName \"Testblog\"" >> ${ZIEL_DIR}/.htaccess
echo "AuthUserFile "${ZIEL_DIR}"/.htpasswd" >> ${ZIEL_DIR}/.htaccess
echo "require valid-user" >> ${ZIEL_DIR}/.htaccess

echo "<IfModule mod_rewrite.c>" >> ${ZIEL_DIR}/.htaccess
echo "RewriteEngine On" >> ${ZIEL_DIR}/.htaccess
echo "RewriteBase /" >> ${ZIEL_DIR}/.htaccess
echo "RewriteRule ^index\.php\$ - [L]" >> ${ZIEL_DIR}/.htaccess
echo "RewriteCond %{REQUEST_FILENAME} !-f" >> ${ZIEL_DIR}/.htaccess
echo "RewriteCond %{REQUEST_FILENAME} !-d" >> ${ZIEL_DIR}/.htaccess
echo "RewriteRule . /index.php [L]" >> ${ZIEL_DIR}/.htaccess
echo "</IfModule>" >> ${ZIEL_DIR}/.htaccess
######################################################

######################################################
# Alle Suchmaschinendinge löschen
rm ${ZIEL_DIR}/wp-content/plugins/google-sitemap-generator/sitemap.php ${ZIEL_DIR}/sitemap.xml ${ZIEL_DIR}/sitemap.xml.gz ${ZIEL_DIR}/robots.txt
# W3 Total Cache deaktivieren wegen CDN!
rm ${ZIEL_DIR}/wp-content/db.php ${ZIEL_DIR}/wp-content/object-cache.php ${ZIEL_DIR}/wp-content/advanced-cache.php ${ZIEL_DIR}/wp-content/w3-total-cache-config.php
rm -R ${ZIEL_DIR}/wp-content/plugins/w3-total-cache
######################################################

######################################################
# DB auslesen
/usr/bin/mysqldump --user=${QUELL_DBUSER} --password=${QUELL_DBPASS} --host=localhost ${QUELL_DBNAME} > /tmp/wp-copy/smu_blog.sql
######################################################

######################################################
# Domainlinks und DB anpassen
sed 's/'${QUELL_DOMAIN}'/'${ZIEL_DOMAIN}'/g' /tmp/wp-copy/smu_blog.sql > /tmp/wp-copy/smu_blog2.sql
sed 's/'${QUELL_DBNAME}'/'${ZIEL_DBNAME}'/g' /tmp/wp-copy/smu_blog2.sql > /tmp/wp-copy/smu_blog3.sql

sed 's/'${QUELL_DBNAME}'/'${ZIEL_DBNAME}'/g' /tmp/wp-copy/wp-config.php > /tmp/wp-copy/wp-config1.php
sed 's/'${QUELL_DBUSER}'/'${ZIEL_DBUSER}'/g' /tmp/wp-copy/wp-config1.php > /tmp/wp-copy/wp-config2.php
sed 's/'${QUELL_DBPASS}'/'${ZIEL_DBPASS}'/g' /tmp/wp-copy/wp-config2.php > /tmp/wp-copy/wp-config3.php
sed 's/'${QUELL_FTPUSER}'/'${ZIEL_FTPUSER}'/g' /tmp/wp-copy/wp-config3.php > /tmp/wp-copy/wp-config4.php
sed 's/'${QUELL_FTPPASS}'/'${ZIEL_FTPPASS}'/g' /tmp/wp-copy/wp-config4.php > /tmp/wp-copy/wp-config5.php
sed 's/'${QUELL_DOMAIN}'/'${ZIEL_DOMAIN}'/g' /tmp/wp-copy/wp-config5.php > /tmp/wp-copy/wp-config6.php

## echo "define('RELOCATE',true);" >> /tmp/wp-copy/wp-config6.php

######################################################

######################################################
# DB einspielen
/usr/bin/mysql --user=${ZIEL_DBUSER} --password=${ZIEL_DBPASS} --host=localhost ${ZIEL_DBNAME} < /tmp/wp-copy/smu_blog3.sql
######################################################

######################################################
# Config einspielen
mv /tmp/wp-copy/wp-config6.php ${ZIEL_DIR}/wp-config.php
######################################################

######################################################
# Files löschen
rm -R /tmp/wp-copy
######################################################
